object DataModule1: TDataModule1
  OldCreateOrder = False
  Height = 0
  Width = 0
  object FactionTable: TTable
    DatabaseName = 'EFS Development'
    FieldDefs = <
      item
        Name = 'ID'
        DataType = ftInteger
      end
      item
        Name = 'Name'
        DataType = ftString
        Size = 24
      end
      item
        Name = 'Color'
        DataType = ftInteger
      end
      item
        Name = 'Homeworld'
        DataType = ftSmallint
      end>
    IndexDefs = <
      item
        Name = 'FactionTableIndex1'
        Fields = 'ID'
        Options = [ixPrimary, ixUnique]
      end>
    IndexFieldNames = 'ID'
    StoreDefs = True
    TableName = 'Factions.db'
    Left = 40
    Top = 16
    object FactionTableID: TAutoIncField
      FieldName = 'ID'
      ReadOnly = True
    end
    object FactionTableName: TStringField
      FieldName = 'Name'
      Size = 24
    end
    object FactionTableColor: TIntegerField
      FieldName = 'Color'
    end
    object FactionTableHomeworld: TSmallintField
      FieldName = 'Homeworld'
    end
    object FactionTableHomeworldLU: TStringField
      FieldKind = fkLookup
      FieldName = 'HomeworldLU'
      LookupKeyFields = 'PIdx'
      LookupResultField = 'Name'
      KeyFields = 'Homeworld'
      Lookup = True
    end
  end
  object SectTable: TTable
    DatabaseName = 'EFS Development'
    FieldDefs = <
      item
        Name = 'SectID'
        DataType = ftInteger
      end
      item
        Name = 'Name'
        DataType = ftString
        Size = 24
      end
      item
        Name = 'Homeworld'
        DataType = ftSmallint
      end>
    IndexDefs = <
      item
        Name = 'SectTableIndex1'
        Fields = 'SectID'
        Options = [ixPrimary, ixUnique]
      end>
    StoreDefs = True
    TableName = 'Sects.db'
    Left = 40
    Top = 72
    object SectTableSectID: TIntegerField
      FieldName = 'SectID'
    end
    object SectTableName: TStringField
      FieldName = 'Name'
      Size = 24
    end
    object SectTableHomeworld: TSmallintField
      FieldName = 'Homeworld'
    end
    object SectTableHWLU: TStringField
      FieldKind = fkLookup
      FieldName = 'HWLU'
      LookupKeyFields = 'PIdx'
      LookupResultField = 'Name'
      KeyFields = 'Homeworld'
      Lookup = True
    end
  end
  object PlanetTable: TTable
    DatabaseName = 'EFS Development'
    FieldDefs = <
      item
        Name = 'PIdx'
        DataType = ftInteger
      end
      item
        Name = 'Name'
        DataType = ftString
        Size = 32
      end
      item
        Name = 'X'
        DataType = ftSmallint
      end
      item
        Name = 'Y'
        DataType = ftSmallint
      end
      item
        Name = 'Owner'
        DataType = ftSmallint
      end
      item
        Name = 'Sect'
        DataType = ftSmallint
      end
      item
        Name = 'CRP'
        DataType = ftSmallint
      end
      item
        Name = 'Flags'
        DataType = ftInteger
      end
      item
        Name = 'TileSet'
        DataType = ftInteger
      end>
    IndexDefs = <
      item
        Name = 'PlanetTableIndex1'
        Fields = 'PIdx'
        Options = [ixPrimary, ixUnique]
      end>
    StoreDefs = True
    TableName = 'Planets.db'
    Left = 40
    Top = 184
    object PlanetTablePIdx: TIntegerField
      DisplayWidth = 3
      FieldName = 'PIdx'
    end
    object PlanetTableName: TStringField
      DisplayWidth = 24
      FieldName = 'Name'
      Size = 32
    end
    object PlanetTableX: TSmallintField
      DisplayWidth = 3
      FieldName = 'X'
    end
    object PlanetTableY: TSmallintField
      DisplayWidth = 3
      FieldName = 'Y'
    end
    object PlanetTableOwner: TSmallintField
      DisplayWidth = 3
      FieldName = 'Owner'
    end
    object PlanetTableOwnerLU: TStringField
      FieldKind = fkLookup
      FieldName = 'OwnerLU'
      LookupDataSet = FactionTable
      LookupKeyFields = 'ID'
      LookupResultField = 'Name'
      KeyFields = 'Owner'
      Size = 24
      Lookup = True
    end
    object PlanetTableSect: TSmallintField
      DisplayWidth = 3
      FieldName = 'Sect'
    end
    object PlanetTableCRP: TSmallintField
      DisplayWidth = 3
      FieldName = 'CRP'
    end
    object PlanetTableFlags: TIntegerField
      FieldName = 'Flags'
    end
    object PlanetTableTileSet: TIntegerField
      DisplayWidth = 3
      FieldName = 'TileSet'
    end
    object PlanetTableTypeLU: TStringField
      FieldKind = fkLookup
      FieldName = 'TypeLU'
      LookupDataSet = PlanetType
      LookupKeyFields = 'TileSet'
      LookupResultField = 'Name'
      KeyFields = 'TileSet'
      Size = 18
      Lookup = True
    end
    object PlanetTableColorLU: TIntegerField
      FieldKind = fkLookup
      FieldName = 'ColorLU'
      LookupDataSet = PlanetType
      LookupKeyFields = 'TileSet'
      LookupResultField = 'Color'
      KeyFields = 'TileSet'
      Lookup = True
    end
    object PlanetTableOwnerColorLU: TIntegerField
      FieldKind = fkLookup
      FieldName = 'OwnerColorLU'
      LookupDataSet = FactionTable
      LookupKeyFields = 'ID'
      LookupResultField = 'Color'
      KeyFields = 'Owner'
      Lookup = True
    end
  end
  object JumpRouteTable: TTable
    DatabaseName = 'EFS Development'
    FieldDefs = <
      item
        Name = 'JGIdx'
        DataType = ftInteger
      end
      item
        Name = 'P1Idx'
        DataType = ftInteger
      end
      item
        Name = 'P2Idx'
        DataType = ftInteger
      end
      item
        Name = 'Flags'
        DataType = ftInteger
      end>
    IndexDefs = <
      item
        Name = 'JumpRouteTableIndex1'
        Fields = 'JGIdx'
        Options = [ixPrimary, ixUnique]
      end>
    IndexFieldNames = 'JGIdx'
    StoreDefs = True
    TableName = 'JumpRoutes.db'
    Left = 40
    Top = 240
    object JumpRouteTableJRIdx: TIntegerField
      DisplayLabel = 'JR Index'
      DisplayWidth = 8
      FieldName = 'JGIdx'
    end
    object JumpRouteTableP1Idx: TIntegerField
      FieldName = 'P1Idx'
    end
    object JumpRouteTableP2Idx: TIntegerField
      FieldName = 'P2Idx'
    end
    object JumpRouteTablePlanet1LU: TStringField
      DisplayLabel = 'Planet 1'
      DisplayWidth = 24
      FieldKind = fkLookup
      FieldName = 'Planet1LU'
      LookupDataSet = PlanetTable
      LookupKeyFields = 'PIdx'
      LookupResultField = 'Name'
      KeyFields = 'P1Idx'
      Lookup = True
    end
    object JumpRouteTablePlanet2LU: TStringField
      DisplayLabel = 'Planet 2'
      DisplayWidth = 24
      FieldKind = fkLookup
      FieldName = 'Planet2LU'
      LookupDataSet = PlanetTable
      LookupKeyFields = 'PIdx'
      LookupResultField = 'Name'
      KeyFields = 'P2Idx'
      Lookup = True
    end
    object JumpRouteTableFlags: TIntegerField
      FieldName = 'Flags'
    end
  end
  object UnitTable: TTable
    DatabaseName = 'EFS Development'
    FieldDefs = <
      item
        Name = 'UnitID'
        DataType = ftInteger
      end
      item
        Name = 'PIdx'
        DataType = ftSmallint
      end
      item
        Name = 'X'
        DataType = ftSmallint
      end
      item
        Name = 'Y'
        DataType = ftSmallint
      end
      item
        Name = 'Loyalty'
        DataType = ftSmallint
      end
      item
        Name = 'Owner'
        DataType = ftSmallint
      end
      item
        Name = 'PrevOwner'
        DataType = ftSmallint
      end
      item
        Name = 'Type'
        DataType = ftSmallint
      end
      item
        Name = 'TLvl'
        DataType = ftSmallint
      end
      item
        Name = 'TTL'
        DataType = ftSmallint
      end
      item
        Name = 'MoveType'
        DataType = ftSmallint
      end
      item
        Name = 'Orders'
        DataType = ftSmallint
      end
      item
        Name = 'Experience'
        DataType = ftSmallint
      end
      item
        Name = 'MovePoints'
        DataType = ftSmallint
      end
      item
        Name = 'ResRelic'
        DataType = ftSmallint
      end
      item
        Name = 'Amount'
        DataType = ftSmallint
      end
      item
        Name = 'Health'
        DataType = ftSmallint
      end
      item
        Name = 'Sect'
        DataType = ftSmallint
      end
      item
        Name = 'UnitNo'
        DataType = ftInteger
      end
      item
        Name = 'Flags'
        DataType = ftInteger
      end
      item
        Name = 'UsedUnitType'
        DataType = ftSmallint
      end
      item
        Name = 'UsedUnittLvl'
        DataType = ftSmallint
      end
      item
        Name = 'Camo'
        DataType = ftSmallint
      end
      item
        Name = 'DestX'
        DataType = ftSmallint
      end
      item
        Name = 'DestY'
        DataType = ftSmallint
      end
      item
        Name = 'MoveCost'
        DataType = ftInteger
      end
      item
        Name = 'TFlags'
        DataType = ftSmallint
      end
      item
        Name = 'AIOrders'
        DataType = ftSmallint
      end
      item
        Name = 'AIData'
        DataType = ftSmallint
      end
      item
        Name = 'AIData2'
        DataType = ftSmallint
      end
      item
        Name = 'WaitLevel'
        DataType = ftSmallint
      end
      item
        Name = 'GroupEndMark'
        DataType = ftSmallint
      end>
    IndexDefs = <
      item
        Name = 'UnitTableIndex1'
        Fields = 'UnitID'
        Options = [ixPrimary, ixUnique]
      end
      item
        Name = 'TTLIdx'
        Fields = 'TTL'
        Options = [ixCaseInsensitive]
      end>
    IndexFieldNames = 'UnitID'
    StoreDefs = True
    TableName = 'Units.db'
    Left = 40
    Top = 296
    object UnitTableUnitID: TIntegerField
      FieldName = 'UnitID'
    end
    object UnitTablePIdx: TSmallintField
      FieldName = 'PIdx'
    end
    object UnitTablePlanetLU: TStringField
      FieldKind = fkLookup
      FieldName = 'PlanetLU'
      LookupDataSet = PlanetTable
      LookupKeyFields = 'PIdx'
      LookupResultField = 'Name'
      KeyFields = 'PIdx'
      Lookup = True
    end
    object UnitTableX: TSmallintField
      FieldName = 'X'
    end
    object UnitTableY: TSmallintField
      FieldName = 'Y'
    end
    object UnitTableLoyalty: TSmallintField
      FieldName = 'Loyalty'
    end
    object UnitTableOwner: TSmallintField
      FieldName = 'Owner'
    end
    object UnitTableOwnerLU: TStringField
      FieldKind = fkLookup
      FieldName = 'OwnerLU'
      LookupDataSet = FactionTable
      LookupKeyFields = 'ID'
      LookupResultField = 'Name'
      KeyFields = 'Owner'
      Lookup = True
    end
    object UnitTablePrevOwner: TSmallintField
      FieldName = 'PrevOwner'
    end
    object UnitTablePrevOwnerLU: TStringField
      FieldKind = fkLookup
      FieldName = 'PrevOwnerLU'
      LookupDataSet = FactionTable
      LookupKeyFields = 'ID'
      LookupResultField = 'Name'
      KeyFields = 'PrevOwner'
      Lookup = True
    end
    object UnitTableType: TSmallintField
      FieldName = 'Type'
    end
    object UnitTabletLvl: TSmallintField
      FieldName = 'TLvl'
    end
    object UnitTableTTL: TSmallintField
      FieldName = 'TTL'
    end
    object UnitTableMoveType: TSmallintField
      FieldName = 'MoveType'
    end
    object UnitTableOrders: TSmallintField
      FieldName = 'Orders'
    end
    object UnitTableExperience: TSmallintField
      FieldName = 'Experience'
    end
    object UnitTableExpText: TStringField
      FieldKind = fkCalculated
      FieldName = 'ExpText'
      Size = 2
      Calculated = True
    end
    object UnitTableMovePoints: TSmallintField
      FieldName = 'MovePoints'
    end
    object UnitTableResRelic: TSmallintField
      FieldName = 'ResRelic'
    end
    object UnitTableAmount: TSmallintField
      FieldName = 'Amount'
    end
    object UnitTableHealth: TSmallintField
      FieldName = 'Health'
    end
    object UnitTableSect: TSmallintField
      FieldName = 'Sect'
    end
    object UnitTableUnitNo: TIntegerField
      FieldName = 'UnitNo'
    end
    object UnitTableFlags: TIntegerField
      FieldName = 'Flags'
    end
    object UnitTableUsedUnitType: TSmallintField
      FieldName = 'UsedUnitType'
    end
    object UnitTableUsedUnittLvl: TSmallintField
      FieldName = 'UsedUnittLvl'
    end
    object UnitTableCamo: TSmallintField
      FieldName = 'Camo'
    end
    object UnitTableDestX: TSmallintField
      FieldName = 'DestX'
    end
    object UnitTableDestY: TSmallintField
      FieldName = 'DestY'
    end
    object UnitTableMoveCost: TIntegerField
      FieldName = 'MoveCost'
    end
    object UnitTabletFlags: TSmallintField
      FieldName = 'TFlags'
    end
    object UnitTableAIOrders: TSmallintField
      FieldName = 'AIOrders'
    end
    object UnitTableAIData: TSmallintField
      FieldName = 'AIData'
    end
    object UnitTableAIData2: TSmallintField
      FieldName = 'AIData2'
    end
    object UnitTableWaitLevel: TSmallintField
      FieldName = 'WaitLevel'
    end
    object UnitTableGroupEndMark: TSmallintField
      FieldName = 'GroupEndMark'
    end
  end
  object StructureTable: TTable
    DatabaseName = 'EFS Development'
    FieldDefs = <
      item
        Name = 'StructID'
        DataType = ftInteger
      end
      item
        Name = 'PIdx'
        DataType = ftSmallint
      end
      item
        Name = 'X'
        DataType = ftSmallint
      end
      item
        Name = 'Y'
        DataType = ftSmallint
      end
      item
        Name = 'Loyalty'
        DataType = ftSmallint
      end
      item
        Name = 'Type'
        DataType = ftSmallint
      end
      item
        Name = 'Owner'
        DataType = ftSmallint
      end
      item
        Name = 'PrevOwner'
        DataType = ftSmallint
      end
      item
        Name = 'ProdRuinType'
        DataType = ftSmallint
      end
      item
        Name = 'ProdInfo'
        DataType = ftSmallint
      end
      item
        Name = 'TurnsLeft'
        DataType = ftSmallint
      end
      item
        Name = 'CityInfo'
        DataType = ftSmallint
      end
      item
        Name = 'PrevType'
        DataType = ftSmallint
      end
      item
        Name = 'UnitLoyalty'
        DataType = ftSmallint
      end
      item
        Name = 'StackInfo'
        DataType = ftSmallint
      end
      item
        Name = 'UsedUnittLvl'
        DataType = ftSmallint
      end
      item
        Name = 'TechType'
        DataType = ftSmallint
      end
      item
        Name = 'Health'
        DataType = ftSmallint
      end
      item
        Name = 'Sect'
        DataType = ftSmallint
      end
      item
        Name = 'Flags'
        DataType = ftInteger
      end
      item
        Name = 'UnitHealth'
        DataType = ftSmallint
      end
      item
        Name = 'TempCount'
        DataType = ftSmallint
      end
      item
        Name = 'TempCount2'
        DataType = ftSmallint
      end
      item
        Name = 'TempCount3'
        DataType = ftSmallint
      end
      item
        Name = 'Damage'
        DataType = ftSmallint
      end>
    IndexDefs = <
      item
        Name = 'StructureTableIndex1'
        Fields = 'StructID'
        Options = [ixPrimary, ixUnique]
      end>
    IndexFieldNames = 'StructID'
    StoreDefs = True
    TableName = 'Structures.db'
    Left = 40
    Top = 416
    object StructureTableStructID: TIntegerField
      FieldName = 'StructID'
    end
    object StructureTablePIdx: TSmallintField
      FieldName = 'PIdx'
    end
    object StructureTablePlanetLU: TStringField
      FieldKind = fkLookup
      FieldName = 'PlanetLU'
      LookupDataSet = PlanetTable
      LookupKeyFields = 'PIdx'
      LookupResultField = 'Name'
      KeyFields = 'PIdx'
      Lookup = True
    end
    object StructureTableX: TSmallintField
      FieldName = 'X'
    end
    object StructureTableY: TSmallintField
      FieldName = 'Y'
    end
    object StructureTableLoyalty: TSmallintField
      FieldName = 'Loyalty'
    end
    object StructureTableType: TSmallintField
      FieldName = 'Type'
    end
    object StructureTableOwner: TSmallintField
      FieldName = 'Owner'
    end
    object StructureTableOwnerLU: TStringField
      FieldKind = fkLookup
      FieldName = 'OwnerLU'
      LookupDataSet = FactionTable
      LookupKeyFields = 'ID'
      LookupResultField = 'Name'
      KeyFields = 'Owner'
      Lookup = True
    end
    object StructureTablePrevOwner: TSmallintField
      FieldName = 'PrevOwner'
    end
    object StructureTablePrevOwnerLU: TStringField
      FieldKind = fkLookup
      FieldName = 'PrevOwnerLU'
      LookupDataSet = FactionTable
      LookupKeyFields = 'ID'
      LookupResultField = 'Name'
      KeyFields = 'PrevOwner'
      Lookup = True
    end
    object StructureTableProdRuinType: TSmallintField
      FieldName = 'ProdRuinType'
    end
    object StructureTableProdInfo: TSmallintField
      FieldName = 'ProdInfo'
    end
    object StructureTableTurnsLeft: TSmallintField
      FieldName = 'TurnsLeft'
    end
    object StructureTableCityInfo: TSmallintField
      FieldName = 'CityInfo'
    end
    object StructureTablePrevType: TSmallintField
      FieldName = 'PrevType'
    end
    object StructureTableUnitLoyalty: TSmallintField
      FieldName = 'UnitLoyalty'
    end
    object StructureTableStackInfo: TSmallintField
      FieldName = 'StackInfo'
    end
    object StructureTableUsedUnittLvl: TSmallintField
      FieldName = 'UsedUnittLvl'
    end
    object StructureTableTechType: TSmallintField
      FieldName = 'TechType'
    end
    object StructureTableHealth: TSmallintField
      FieldName = 'Health'
    end
    object StructureTableSect: TSmallintField
      FieldName = 'Sect'
    end
    object StructureTableFlags: TIntegerField
      FieldName = 'Flags'
    end
    object StructureTableUnitHealth: TSmallintField
      FieldName = 'UnitHealth'
    end
    object StructureTableTempCount: TSmallintField
      FieldName = 'TempCount'
    end
    object StructureTableTempCount2: TSmallintField
      FieldName = 'TempCount2'
    end
    object StructureTableTempCount3: TSmallintField
      FieldName = 'TempCount3'
    end
    object StructureTableDamage: TSmallintField
      FieldName = 'Damage'
    end
  end
  object PlanetType: TTable
    DatabaseName = 'EFS Development'
    FieldDefs = <
      item
        Name = 'ID'
        Attributes = [faReadonly]
        DataType = ftAutoInc
      end
      item
        Name = 'Name'
        DataType = ftString
        Size = 16
      end
      item
        Name = 'Color'
        DataType = ftInteger
      end
      item
        Name = 'TileSet'
        DataType = ftSmallint
      end>
    IndexDefs = <
      item
        Name = 'PlanetTypeIndex1'
        Fields = 'ID'
        Options = [ixPrimary, ixUnique]
      end>
    IndexFieldNames = 'ID'
    StoreDefs = True
    TableName = 'PlanetTypes.db'
    Left = 208
    Top = 112
    object PlanetTypeID: TAutoIncField
      FieldName = 'ID'
      ReadOnly = True
    end
    object PlanetTypeName: TStringField
      DisplayLabel = 'Type'
      FieldName = 'Name'
      Size = 16
    end
    object Color: TIntegerField
      FieldName = 'Color'
    end
    object PlanetTypeTileSet: TSmallintField
      FieldName = 'TileSet'
    end
  end
  object UnitDAT: TTable
    DatabaseName = 'EFS Development'
    FieldDefs = <
      item
        Name = 'ID'
        DataType = ftInteger
      end
      item
        Name = 'Type'
        DataType = ftSmallint
      end
      item
        Name = 'TLvl'
        DataType = ftSmallint
      end
      item
        Name = 'Lname'
        DataType = ftString
        Size = 24
      end
      item
        Name = 'Pext'
        DataType = ftInteger
      end
      item
        Name = 'Sname'
        DataType = ftString
        Size = 14
      end
      item
        Name = 'MoveT'
        DataType = ftString
        Size = 7
      end
      item
        Name = 'Move'
        DataType = ftSmallint
      end
      item
        Name = 'Spot'
        DataType = ftSmallint
      end
      item
        Name = 'Camo'
        DataType = ftSmallint
      end
      item
        Name = 'Ag'
        DataType = ftSmallint
      end
      item
        Name = 'Armour'
        DataType = ftSmallint
      end
      item
        Name = 'PsyDef'
        DataType = ftSmallint
      end
      item
        Name = 'WaterA'
        DataType = ftSmallint
      end
      item
        Name = 'WaterS'
        DataType = ftSmallint
      end
      item
        Name = 'IndirA'
        DataType = ftSmallint
      end
      item
        Name = 'IndirS'
        DataType = ftSmallint
      end
      item
        Name = 'AirA'
        DataType = ftSmallint
      end
      item
        Name = 'AirS'
        DataType = ftSmallint
      end
      item
        Name = 'DirectA'
        DataType = ftSmallint
      end
      item
        Name = 'DirectS'
        DataType = ftSmallint
      end
      item
        Name = 'CloseA'
        DataType = ftSmallint
      end
      item
        Name = 'CloseS'
        DataType = ftSmallint
      end
      item
        Name = 'PsyA'
        DataType = ftSmallint
      end
      item
        Name = 'PsyS'
        DataType = ftSmallint
      end
      item
        Name = 'RSpeA'
        DataType = ftSmallint
      end
      item
        Name = 'RSpeS'
        DataType = ftSmallint
      end
      item
        Name = 'DSpeA'
        DataType = ftSmallint
      end
      item
        Name = 'DSpeS'
        DataType = ftSmallint
      end
      item
        Name = 'CSpeA'
        DataType = ftSmallint
      end
      item
        Name = 'CSpeS'
        DataType = ftSmallint
      end
      item
        Name = 'Cargo'
        DataType = ftSmallint
      end
      item
        Name = 'CBC'
        DataType = ftSmallint
      end
      item
        Name = 'NComb'
        DataType = ftSmallint
      end
      item
        Name = 'Crd/Tr'
        DataType = ftSmallint
      end
      item
        Name = 'Cred'
        DataType = ftInteger
      end
      item
        Name = 'Food'
        DataType = ftSmallint
      end
      item
        Name = 'Energ'
        DataType = ftSmallint
      end
      item
        Name = 'Metal'
        DataType = ftSmallint
      end
      item
        Name = 'Trac'
        DataType = ftSmallint
      end
      item
        Name = 'Exot'
        DataType = ftSmallint
      end
      item
        Name = 'Chems'
        DataType = ftSmallint
      end
      item
        Name = 'Bio'
        DataType = ftSmallint
      end
      item
        Name = 'Elec'
        DataType = ftSmallint
      end
      item
        Name = 'CSteel'
        DataType = ftSmallint
      end
      item
        Name = 'Wet'
        DataType = ftSmallint
      end
      item
        Name = 'Mono'
        DataType = ftSmallint
      end
      item
        Name = 'Gems'
        DataType = ftSmallint
      end
      item
        Name = 'Sing'
        DataType = ftSmallint
      end
      item
        Name = 'Unit'
        DataType = ftSmallint
      end
      item
        Name = 'Bldgs'
        DataType = ftSmallint
      end
      item
        Name = 'T2B'
        DataType = ftSmallint
      end
      item
        Name = 'Tech1'
        DataType = ftSmallint
      end
      item
        Name = 'Tech2'
        DataType = ftSmallint
      end
      item
        Name = 'Tech3'
        DataType = ftSmallint
      end
      item
        Name = 'Tech4'
        DataType = ftSmallint
      end
      item
        Name = 'Tax'
        DataType = ftSmallint
      end
      item
        Name = 'Floc'
        DataType = ftSmallint
      end
      item
        Name = 'Range'
        DataType = ftSmallint
      end
      item
        Name = 'Eat'
        DataType = ftSmallint
      end
      item
        Name = 'Rank'
        DataType = ftSmallint
      end
      item
        Name = 'RoP'
        DataType = ftSmallint
      end
      item
        Name = 'Flic'
        DataType = ftString
        Size = 14
      end
      item
        Name = 'TTL'
        DataType = ftSmallint
      end>
    IndexDefs = <
      item
        Name = 'UnitDATIndex1'
        Fields = 'ID'
        Options = [ixPrimary, ixUnique]
      end
      item
        Name = 'Group_Idx'
        Fields = 'Type'
        Options = [ixCaseInsensitive]
      end
      item
        Name = 'TechLvl_Idx'
        Fields = 'TLvl'
        Options = [ixCaseInsensitive]
      end
      item
        Name = 'TTLIdx'
        Fields = 'TTL'
        Options = [ixCaseInsensitive]
      end>
    StoreDefs = True
    TableName = 'UnitDat.db'
    Left = 288
    Top = 352
    object UnitDATID: TIntegerField
      FieldName = 'ID'
    end
    object UnitDATType: TSmallintField
      FieldName = 'Type'
    end
    object UnitDATTLvl: TSmallintField
      FieldName = 'TLvl'
    end
    object UnitDATTTL: TSmallintField
      FieldName = 'TTL'
    end
    object UnitDATLname: TStringField
      FieldName = 'Lname'
      Size = 24
    end
    object UnitDATPext: TIntegerField
      FieldName = 'Pext'
    end
    object UnitDATSname: TStringField
      FieldName = 'Sname'
      Size = 14
    end
    object UnitDATMoveT: TStringField
      FieldName = 'MoveT'
      Size = 7
    end
    object UnitDATMove: TSmallintField
      FieldName = 'Move'
    end
    object UnitDATSpot: TSmallintField
      FieldName = 'Spot'
    end
    object UnitDATCamo: TSmallintField
      FieldName = 'Camo'
    end
    object UnitDATAg: TSmallintField
      FieldName = 'Ag'
    end
    object UnitDATArmour: TSmallintField
      FieldName = 'Armour'
    end
    object UnitDATPsyDef: TSmallintField
      FieldName = 'PsyDef'
    end
    object UnitDATWaterA: TSmallintField
      FieldName = 'WaterA'
    end
    object UnitDATWaterS: TSmallintField
      FieldName = 'WaterS'
    end
    object UnitDATIndirA: TSmallintField
      FieldName = 'IndirA'
    end
    object UnitDATIndirS: TSmallintField
      FieldName = 'IndirS'
    end
    object UnitDATAirA: TSmallintField
      FieldName = 'AirA'
    end
    object UnitDATAirS: TSmallintField
      FieldName = 'AirS'
    end
    object UnitDATDirectA: TSmallintField
      FieldName = 'DirectA'
    end
    object UnitDATDirectS: TSmallintField
      FieldName = 'DirectS'
    end
    object UnitDATCloseA: TSmallintField
      FieldName = 'CloseA'
    end
    object UnitDATCloseS: TSmallintField
      FieldName = 'CloseS'
    end
    object UnitDATPsyA: TSmallintField
      FieldName = 'PsyA'
    end
    object UnitDATPsyS: TSmallintField
      FieldName = 'PsyS'
    end
    object UnitDATRSpeA: TSmallintField
      FieldName = 'RSpeA'
    end
    object UnitDATRSpeS: TSmallintField
      FieldName = 'RSpeS'
    end
    object UnitDATDSpeA: TSmallintField
      FieldName = 'DSpeA'
    end
    object UnitDATDSpeS: TSmallintField
      FieldName = 'DSpeS'
    end
    object UnitDATCSpeA: TSmallintField
      FieldName = 'CSpeA'
    end
    object UnitDATCSpeS: TSmallintField
      FieldName = 'CSpeS'
    end
    object UnitDATCargo: TSmallintField
      FieldName = 'Cargo'
    end
    object UnitDATCBC: TSmallintField
      FieldName = 'CBC'
    end
    object UnitDATNComb: TSmallintField
      FieldName = 'NComb'
    end
    object UnitDATCrdTr: TSmallintField
      FieldName = 'Crd/Tr'
    end
    object UnitDATCred: TIntegerField
      FieldName = 'Cred'
    end
    object UnitDATFood: TSmallintField
      FieldName = 'Food'
    end
    object UnitDATEnerg: TSmallintField
      FieldName = 'Energ'
    end
    object UnitDATMetal: TSmallintField
      FieldName = 'Metal'
    end
    object UnitDATTrac: TSmallintField
      FieldName = 'Trac'
    end
    object UnitDATExot: TSmallintField
      FieldName = 'Exot'
    end
    object UnitDATChems: TSmallintField
      FieldName = 'Chems'
    end
    object UnitDATBio: TSmallintField
      FieldName = 'Bio'
    end
    object UnitDATElec: TSmallintField
      FieldName = 'Elec'
    end
    object UnitDATCSteel: TSmallintField
      FieldName = 'CSteel'
    end
    object UnitDATWet: TSmallintField
      FieldName = 'Wet'
    end
    object UnitDATMono: TSmallintField
      FieldName = 'Mono'
    end
    object UnitDATGems: TSmallintField
      FieldName = 'Gems'
    end
    object UnitDATSing: TSmallintField
      FieldName = 'Sing'
    end
    object UnitDATUnit: TSmallintField
      FieldName = 'Unit'
    end
    object UnitDATBldgs: TSmallintField
      FieldName = 'Bldgs'
    end
    object UnitDATT2B: TSmallintField
      FieldName = 'T2B'
    end
    object UnitDATTech1: TSmallintField
      FieldName = 'Tech1'
    end
    object UnitDATTech2: TSmallintField
      FieldName = 'Tech2'
    end
    object UnitDATTech3: TSmallintField
      FieldName = 'Tech3'
    end
    object UnitDATTech4: TSmallintField
      FieldName = 'Tech4'
    end
    object UnitDATTax: TSmallintField
      FieldName = 'Tax'
    end
    object UnitDATFloc: TSmallintField
      FieldName = 'Floc'
    end
    object UnitDATRange: TSmallintField
      FieldName = 'Range'
    end
    object UnitDATEat: TSmallintField
      FieldName = 'Eat'
    end
    object UnitDATRank: TSmallintField
      FieldName = 'Rank'
    end
    object UnitDATRoP: TSmallintField
      FieldName = 'RoP'
    end
    object UnitDATFlic: TStringField
      FieldName = 'Flic'
      Size = 14
    end
  end
  object StructureDAT: TTable
    DatabaseName = 'EFS Development'
    FieldDefs = <
      item
        Name = 'ID'
        DataType = ftInteger
      end
      item
        Name = 'Name'
        DataType = ftString
        Size = 20
      end
      item
        Name = 'Water'
        DataType = ftSmallint
      end
      item
        Name = 'Land'
        DataType = ftSmallint
      end
      item
        Name = 'Road'
        DataType = ftSmallint
      end
      item
        Name = 'Barren'
        DataType = ftSmallint
      end
      item
        Name = 'Neutral'
        DataType = ftSmallint
      end
      item
        Name = 'Build'
        DataType = ftSmallint
      end
      item
        Name = 'Area'
        DataType = ftSmallint
      end
      item
        Name = 'Crd/Tr'
        DataType = ftSmallint
      end
      item
        Name = 'Credits'
        DataType = ftInteger
      end
      item
        Name = 'T2B'
        DataType = ftSmallint
      end
      item
        Name = 'Tech'
        DataType = ftSmallint
      end
      item
        Name = 'Value'
        DataType = ftInteger
      end>
    IndexDefs = <
      item
        Name = 'StructureDATIndex1'
        Fields = 'ID'
        Options = [ixPrimary, ixUnique]
      end>
    StoreDefs = True
    TableName = 'StrBuild.db'
    Left = 288
    Top = 416
  end
  object TechDAT: TTable
    DatabaseName = 'EFS Development'
    TableName = 'TechDat.db'
    Left = 288
    Top = 480
  end
end
