//---------------------------------------------------------------------------

#ifndef BasicGalaxyModuleH
#define BasicGalaxyModuleH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Db.hpp>
#include <DBTables.hpp>
//---------------------------------------------------------------------------
class TDataModule1 : public TDataModule
{
__published:	// IDE-managed Components
  TTable *FactionTable;
  TAutoIncField *FactionTableID;
  TStringField *FactionTableName;
  TIntegerField *FactionTableColor;
  TSmallintField *FactionTableHomeworld;
  TStringField *FactionTableHomeworldLU;
  TTable *SectTable;
  TIntegerField *SectTableSectID;
  TStringField *SectTableName;
  TSmallintField *SectTableHomeworld;
  TStringField *SectTableHWLU;
  TTable *PlanetTable;
  TIntegerField *PlanetTablePIdx;
  TStringField *PlanetTableName;
  TSmallintField *PlanetTableX;
  TSmallintField *PlanetTableY;
  TSmallintField *PlanetTableOwner;
  TStringField *PlanetTableOwnerLU;
  TSmallintField *PlanetTableSect;
  TSmallintField *PlanetTableCRP;
  TIntegerField *PlanetTableFlags;
  TIntegerField *PlanetTableTileSet;
  TStringField *PlanetTableTypeLU;
  TIntegerField *PlanetTableColorLU;
  TIntegerField *PlanetTableOwnerColorLU;
  TTable *JumpRouteTable;
  TIntegerField *JumpRouteTableJRIdx;
  TIntegerField *JumpRouteTableP1Idx;
  TIntegerField *JumpRouteTableP2Idx;
  TStringField *JumpRouteTablePlanet1LU;
  TStringField *JumpRouteTablePlanet2LU;
  TIntegerField *JumpRouteTableFlags;
  TTable *UnitTable;
  TIntegerField *UnitTableUnitID;
  TSmallintField *UnitTablePIdx;
  TStringField *UnitTablePlanetLU;
  TSmallintField *UnitTableX;
  TSmallintField *UnitTableY;
  TSmallintField *UnitTableLoyalty;
  TSmallintField *UnitTableOwner;
  TStringField *UnitTableOwnerLU;
  TSmallintField *UnitTablePrevOwner;
  TStringField *UnitTablePrevOwnerLU;
  TSmallintField *UnitTableType;
  TSmallintField *UnitTabletLvl;
  TSmallintField *UnitTableTTL;
  TSmallintField *UnitTableMoveType;
  TSmallintField *UnitTableOrders;
  TSmallintField *UnitTableExperience;
  TStringField *UnitTableExpText;
  TSmallintField *UnitTableMovePoints;
  TSmallintField *UnitTableResRelic;
  TSmallintField *UnitTableAmount;
  TSmallintField *UnitTableHealth;
  TSmallintField *UnitTableSect;
  TIntegerField *UnitTableUnitNo;
  TIntegerField *UnitTableFlags;
  TSmallintField *UnitTableUsedUnitType;
  TSmallintField *UnitTableUsedUnittLvl;
  TSmallintField *UnitTableCamo;
  TSmallintField *UnitTableDestX;
  TSmallintField *UnitTableDestY;
  TIntegerField *UnitTableMoveCost;
  TSmallintField *UnitTabletFlags;
  TSmallintField *UnitTableAIOrders;
  TSmallintField *UnitTableAIData;
  TSmallintField *UnitTableAIData2;
  TSmallintField *UnitTableWaitLevel;
  TSmallintField *UnitTableGroupEndMark;
  TTable *StructureTable;
  TIntegerField *StructureTableStructID;
  TSmallintField *StructureTablePIdx;
  TStringField *StructureTablePlanetLU;
  TSmallintField *StructureTableX;
  TSmallintField *StructureTableY;
  TSmallintField *StructureTableLoyalty;
  TSmallintField *StructureTableType;
  TSmallintField *StructureTableOwner;
  TStringField *StructureTableOwnerLU;
  TSmallintField *StructureTablePrevOwner;
  TStringField *StructureTablePrevOwnerLU;
  TSmallintField *StructureTableProdRuinType;
  TSmallintField *StructureTableProdInfo;
  TSmallintField *StructureTableTurnsLeft;
  TSmallintField *StructureTableCityInfo;
  TSmallintField *StructureTablePrevType;
  TSmallintField *StructureTableUnitLoyalty;
  TSmallintField *StructureTableStackInfo;
  TSmallintField *StructureTableUsedUnittLvl;
  TSmallintField *StructureTableTechType;
  TSmallintField *StructureTableHealth;
  TSmallintField *StructureTableSect;
  TIntegerField *StructureTableFlags;
  TSmallintField *StructureTableUnitHealth;
  TSmallintField *StructureTableTempCount;
  TSmallintField *StructureTableTempCount2;
  TSmallintField *StructureTableTempCount3;
  TSmallintField *StructureTableDamage;
  TTable *PlanetType;
  TAutoIncField *PlanetTypeID;
  TStringField *PlanetTypeName;
  TIntegerField *Color;
  TSmallintField *PlanetTypeTileSet;
  TTable *UnitDAT;
  TIntegerField *UnitDATID;
  TSmallintField *UnitDATType;
  TSmallintField *UnitDATTLvl;
  TSmallintField *UnitDATTTL;
  TStringField *UnitDATLname;
  TIntegerField *UnitDATPext;
  TStringField *UnitDATSname;
  TStringField *UnitDATMoveT;
  TSmallintField *UnitDATMove;
  TSmallintField *UnitDATSpot;
  TSmallintField *UnitDATCamo;
  TSmallintField *UnitDATAg;
  TSmallintField *UnitDATArmour;
  TSmallintField *UnitDATPsyDef;
  TSmallintField *UnitDATWaterA;
  TSmallintField *UnitDATWaterS;
  TSmallintField *UnitDATIndirA;
  TSmallintField *UnitDATIndirS;
  TSmallintField *UnitDATAirA;
  TSmallintField *UnitDATAirS;
  TSmallintField *UnitDATDirectA;
  TSmallintField *UnitDATDirectS;
  TSmallintField *UnitDATCloseA;
  TSmallintField *UnitDATCloseS;
  TSmallintField *UnitDATPsyA;
  TSmallintField *UnitDATPsyS;
  TSmallintField *UnitDATRSpeA;
  TSmallintField *UnitDATRSpeS;
  TSmallintField *UnitDATDSpeA;
  TSmallintField *UnitDATDSpeS;
  TSmallintField *UnitDATCSpeA;
  TSmallintField *UnitDATCSpeS;
  TSmallintField *UnitDATCargo;
  TSmallintField *UnitDATCBC;
  TSmallintField *UnitDATNComb;
  TSmallintField *UnitDATCrdTr;
  TIntegerField *UnitDATCred;
  TSmallintField *UnitDATFood;
  TSmallintField *UnitDATEnerg;
  TSmallintField *UnitDATMetal;
  TSmallintField *UnitDATTrac;
  TSmallintField *UnitDATExot;
  TSmallintField *UnitDATChems;
  TSmallintField *UnitDATBio;
  TSmallintField *UnitDATElec;
  TSmallintField *UnitDATCSteel;
  TSmallintField *UnitDATWet;
  TSmallintField *UnitDATMono;
  TSmallintField *UnitDATGems;
  TSmallintField *UnitDATSing;
  TSmallintField *UnitDATUnit;
  TSmallintField *UnitDATBldgs;
  TSmallintField *UnitDATT2B;
  TSmallintField *UnitDATTech1;
  TSmallintField *UnitDATTech2;
  TSmallintField *UnitDATTech3;
  TSmallintField *UnitDATTech4;
  TSmallintField *UnitDATTax;
  TSmallintField *UnitDATFloc;
  TSmallintField *UnitDATRange;
  TSmallintField *UnitDATEat;
  TSmallintField *UnitDATRank;
  TSmallintField *UnitDATRoP;
  TStringField *UnitDATFlic;
  TTable *StructureDAT;
  TTable *TechDAT;
private:	// User declarations
public:		// User declarations
  __fastcall TDataModule1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TDataModule1 *DataModule1;
//---------------------------------------------------------------------------
#endif
