//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "TDATTextEditor.h"
#include "TGalaxyModule.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TDATTextEditor *DATTextEditor;
//---------------------------------------------------------------------------
__fastcall TDATTextEditor::TDATTextEditor(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TDATTextEditor::FormClose(TObject *Sender,
      TCloseAction &Action)
{
/* DONE -oMitchell : Update DAT tables to reflect changes to DAT text files
 if they've been modified */
  String DATPath = ExtractFilePath(FileName);
  GalaxyModule->LoadDATFiles(DATPath);
  Action = caFree;
  DATTextEditor = NULL;
  
}
//---------------------------------------------------------------------------
void __fastcall TDATTextEditor::WordWrapActionExecute(TObject *Sender)
{
  Editor->WordWrap = !Editor->WordWrap;
  WordWrapAction->Checked = Editor->WordWrap;  
}
//---------------------------------------------------------------------------

void __fastcall TDATTextEditor::DATEditorMenuPopup(TObject *Sender)
{
  SaveAction->Enabled = Editor->Modified;
}
//---------------------------------------------------------------------------

void __fastcall TDATTextEditor::SaveActionExecute(TObject *Sender)
{
  if (Editor->Modified) {
    Editor->Lines->SaveToFile(FileName);
    Editor->Modified = false;
  }
}
//---------------------------------------------------------------------------

void __fastcall TDATTextEditor::SaveAsActionExecute(TObject *Sender)
{
  if (DATFileDialog->Execute()) {
    FileName = DATFileDialog->FileName;
    SaveActionExecute(Sender);
  }
}
//---------------------------------------------------------------------------

void TDATTextEditor::LoadFromFile(String fileName)
{
  FileName = fileName;
  Editor->Lines->LoadFromFile(FileName);
  Editor->Modified = false;
  Caption = String("Editing: ") + ExtractFileName(fileName);
}



