//---------------------------------------------------------------------------

#ifndef TDeleteProjectDialogH
#define TDeleteProjectDialogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <FileCtrl.hpp>
//---------------------------------------------------------------------------
class TDeleteProjectDialog : public TForm
{
__published:	// IDE-managed Components
  TComboBox *cbAliases;
  TLabel *Label1;
  TLabel *Label2;
  TDirectoryListBox *dlbWorkingDirectory;
  TFileListBox *flbFiles;
  TLabel *lWorkingDirectory;
  TRadioGroup *RadioGroup1;
  TRadioButton *rbAll;
  TRadioButton *rbFandN;
  TRadioButton *rbNameOnly;
  TLabel *Label3;
  TBitBtn *bClose;
  TBitBtn *bDeleteProject;
  void __fastcall FormShow(TObject *Sender);
  void __fastcall cbAliasesChange(TObject *Sender);
  void __fastcall bDeleteProjectClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  __fastcall TDeleteProjectDialog(TComponent* Owner);
  void UpdateAliases();
};
//---------------------------------------------------------------------------
extern PACKAGE TDeleteProjectDialog *DeleteProjectDialog;
//---------------------------------------------------------------------------
#endif
