//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "TEditUnitStatsDialog.h"
#include "TGalaxyModule.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TEditUnitStatsDialog *EditUnitStatsDialog;
//---------------------------------------------------------------------------
__fastcall TEditUnitStatsDialog::TEditUnitStatsDialog(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TEditUnitStatsDialog::FormShow(TObject *Sender)
{
  GalaxyModule->EditUnitsTable->FindKey(ARRAYOFCONST((GalaxyModule->UnitTableUnitID->AsInteger)));

  //cbNUT->KeyValue = GalaxyModule->UnitTableTTL->AsInteger;
  meLoyalty->Text = GalaxyModule->EditUnitsTableLoyalty->AsString;
  if (GalaxyModule->UnitTable->Filtered) {
    GalaxyModule->EditUnitsTable->Filter = GalaxyModule->UnitTable->Filter;
    GalaxyModule->EditUnitsTable->Filtered = GalaxyModule->UnitTable->Filtered;
  }
}
//---------------------------------------------------------------------------

void __fastcall TEditUnitStatsDialog::bOKClick(TObject *Sender)
{
  GalaxyModule->dsUnits->Enabled = false;
  GalaxyModule->dsEditUnits->Enabled = false;
  Cursor = crHourGlass;

  if (cbThisUnitOnly->Checked) {
    GalaxyModule->EditUnitsTable->Edit();
    if (cbLoyalty->Checked) {
      GalaxyModule->EditUnitsTableLoyalty->AsString = meLoyalty->Text;
    }
    GalaxyModule->EditUnitsTable->Post();
  }
  else {
    GalaxyModule->EditUnitsTable->First();
    while (!GalaxyModule->EditUnitsTable->Eof) {
      GalaxyModule->EditUnitsTable->Edit();
      if (cbLoyalty->Checked) {
        GalaxyModule->EditUnitsTableLoyalty->AsString = meLoyalty->Text;
      }
      GalaxyModule->EditUnitsTable->Post();
      if (!GalaxyModule->EditUnitsTable->Eof) GalaxyModule->EditUnitsTable->Next();
    }
  }

  GalaxyModule->UnitTable->Refresh();
  Cursor = crDefault;
  GalaxyModule->dsUnits->Enabled = true;
  GalaxyModule->dsEditUnits->Enabled = true;
}
//---------------------------------------------------------------------------

void __fastcall TEditUnitStatsDialog::FormHide(TObject *Sender)
{
  GalaxyModule->EditUnitsTable->Filtered = false;
}
//---------------------------------------------------------------------------

