//---------------------------------------------------------------------------

#ifndef TGalaxyStatsViewH
#define TGalaxyStatsViewH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "TNumberLabel.h"
#include "TEFSCGalaxy.h"
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TGalaxyStatsView : public TForm
{
__published:	// IDE-managed Components
  TLabel *Label1;
  TLabel *Label2;
  TLabel *Label3;
  TLabel *Label4;
  TLabel *Label5;
  TLabel *Label6;
  TNumberLabel *nlPlanetCount;
  TNumberLabel *nlJumpGateCount;
  TNumberLabel *nlUnitCount;
  TNumberLabel *nlStructureCount;
  TStaticText *stFileName;
  TStaticText *stVersionDate;
  TBitBtn *BitBtn1;
  TNumberLabel *nlUnitsInFile;
  TLabel *Label7;
  TLabel *Label8;
  TNumberLabel *nlPlanetSize;
  TNumberLabel *nlJumpGateSize;
  TNumberLabel *nlStructureSize;
  TNumberLabel *nlUnitSize;
  void __fastcall FormShow(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
  TEFSCGalaxy* Galaxy;

public:		// User declarations
  __fastcall TGalaxyStatsView(TComponent* Owner);
  __fastcall TGalaxyStatsView(TComponent* Owner, TEFSCGalaxy* galaxy);
};
//---------------------------------------------------------------------------
extern PACKAGE TGalaxyStatsView *GalaxyStatsView;
//---------------------------------------------------------------------------
#endif
