//---------------------------------------------------------------------------
#ifndef TJumpGatesViewH
#define TJumpGatesViewH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Grids.hpp>

#include "TEFSCGalaxy.h"
#include <DBGrids.hpp>
#include <ExtCtrls.hpp>
#include <DBCtrls.hpp>

//---------------------------------------------------------------------------
class TJumpGatesView : public TForm
{
__published:	// IDE-managed Components
  TPanel *ControlPanel;
  TDBGrid *JumpRouteGrid;
  TDBNavigator *DBNavigator1;
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
  TEFSCGalaxy* Galaxy;

public:		// User declarations
  __fastcall TJumpGatesView(TComponent* Owner);
  __fastcall TJumpGatesView(TComponent* Owner, TEFSCGalaxy* galaxy);
};
//---------------------------------------------------------------------------
extern PACKAGE TJumpGatesView *JumpGatesView;
//---------------------------------------------------------------------------
#endif
