//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "TOpenProjectDialog.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TOpenProjectDialog *OpenProjectDialog;
//---------------------------------------------------------------------------
__fastcall TOpenProjectDialog::TOpenProjectDialog(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TOpenProjectDialog::FormShow(TObject *Sender)
{
  TStringList* AliasNames = new TStringList();
  Session->GetAliasNames(AliasNames);
  cbAliases->Items->Clear();
  for (int i=0; i<AliasNames->Count; i++) {
    if (Session->GetAliasDriverName(AliasNames->Strings[i]) == String("STANDARD")) {
      TStringList* TableNames = new TStringList();
      String Pattern = "";
      Session->GetTableNames(AliasNames->Strings[i], Pattern, true, false, TableNames);
      bool IsEFSEditorAlias = false;
      for (int i=0; i<TableNames->Count; i++) {
        if (TableNames->Strings[i].UpperCase() == String("JumpRoutes.db").UpperCase()) {
          IsEFSEditorAlias = true;
        }
      }
      if (IsEFSEditorAlias) cbAliases->Items->Add(AliasNames->Strings[i]);
      delete TableNames;
    }
  }
  delete AliasNames;
  cbAliases->ItemIndex = 0;
  cbAliasesChange(Sender);
}
//---------------------------------------------------------------------------

void __fastcall TOpenProjectDialog::cbAliasesChange(TObject *Sender)
{
  TStringList* Params = new TStringList();
  Session->GetAliasParams(cbAliases->Text, Params);
  String WD = Params->Strings[0];
  WD.Delete(1, 5);
  stWorkingDirectory->Caption = WD;
  delete Params;

  String Pattern = "";
  Session->GetTableNames(cbAliases->Text, Pattern, true, false, lbTables->Items);

}
//---------------------------------------------------------------------------

