//---------------------------------------------------------------------------

#ifndef TTemplateModuleH
#define TTemplateModuleH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "TBasicGalaxyModule.h"
#include <Db.hpp>
#include <DBTables.hpp>
//---------------------------------------------------------------------------
class TTemplateModule : public TBasicGalaxyModule
{
__published:	// IDE-managed Components
  TBatchMove *FactionBM;
  TBatchMove *SectBM;
  TBatchMove *PlanetTypeBM;
  TBatchMove *PlanetBM;
  TBatchMove *JumpRouteBM;
  TBatchMove *UnitBM;
  TBatchMove *StructureDATBM;
  TBatchMove *TechDATBM;
  TBatchMove *StructureBM;
  TBatchMove *UnitDATBM;
  TBatchMove *DamageBM;
  TBatchMove *TargetBM;
  TBatchMove *StockBM;
  TBatchMove *TerColorBM;
  TBatchMove *RoadCostBM;
  TBatchMove *ProdBM;
  TBatchMove *ArboriumBM;
  TBatchMove *FarmBM;
  TBatchMove *MineBM;
  TBatchMove *WellBM;
  TBatchMove *TerCostBM;
  TBatchMove *UnitSpotBM;
  TBatchMove *ResDATBM;
private:	// User declarations
public:		// User declarations
  __fastcall TTemplateModule(TComponent* Owner);
  void CopyBasicTables(String templateAliasName);
  void CopyTemplateTables(String templateAliasName);
  void CopyAllTables(String templateAliasName);
};
//---------------------------------------------------------------------------
extern PACKAGE TTemplateModule *TemplateModule;
//---------------------------------------------------------------------------
#endif
