//---------------------------------------------------------------------------

#ifndef TUnitListViewH
#define TUnitListViewH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DBGrids.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <DBCtrls.hpp>
#include <ActnList.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TUnitListView : public TForm
{
__published:	// IDE-managed Components
  TPanel *ControlPanel;
  TDBGrid *UnitGrid;
  TPopupMenu *EditUnitsMenu;
  TMenuItem *SwapUnitTypes1;
  TActionList *EditUnitsActions;
  TAction *OpenUnitAction;
  TAction *SwapUnitTypesAction;
  TAction *FindUnitAction;
  TMenuItem *OpenUnit1;
  TMenuItem *GotoUnit1;
  TDBLookupComboBox *cbFaction;
  TCheckBox *cbShowUnitsOfFaction;
  TDBLookupComboBox *cbPlanet;
  TCheckBox *cbShowUnitsOnPlanet;
  TDBLookupComboBox *cbType;
  TCheckBox *cbShowUnitsOfType;
  TAction *EditUnitStatsAction;
  TMenuItem *EditUnitStatistics1;
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall SwapUnitTypesActionExecute(TObject *Sender);
  void __fastcall FormShow(TObject *Sender);
  void __fastcall cbShowUnitsOfFactionClick(TObject *Sender);
  void __fastcall EditUnitStatsActionExecute(TObject *Sender);
private:	// User declarations
public:		// User declarations
  __fastcall TUnitListView(TComponent* Owner);
  void UpdateView();
};
//---------------------------------------------------------------------------
extern PACKAGE TUnitListView *UnitListView;
//---------------------------------------------------------------------------
#endif
