//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("EFSEditor.res");
USEFORM("TEFSMain.cpp", EFSMain);
USEUNIT("TEFSCGalaxy.cpp");
USEUNIT("TEFSCPlanet.cpp");
USEUNIT("TEFSCJumpGate.cpp");
USEFORM("TJumpGatesView.cpp", JumpGatesView);
USEFORM("TStarMapView.cpp", StarMapView);
USEFORM("TGalaxyStatsView.cpp", GalaxyStatsView);
USEUNIT("TEFSCUnit.cpp");
USEFORM("TPlanetListView.cpp", PlanetListView);
USEFORM("TUnitListView.cpp", UnitListView);
USEUNIT("TEFSCStructure.cpp");
USEFORM("TStructureListView.cpp", StructureListView);
USEFORM("TFactionView.cpp", FactionView);
USEFORM("TDATTextEditor.cpp", DATTextEditor);
USEFORM("TPlanetTypeView.cpp", PlanetTypeView);
USEFORM("TSectView.cpp", SectView);
USEFORM("TNewProjectDialog.cpp", NewProjectDialog);
USEFORM("TOpenProjectDialog.cpp", OpenProjectDialog);
USEFORM("TEditUnitTypeDialog.cpp", EditUnitTypeDialog);
USEFORM("TEFSAboutBox.cpp", EFSAboutBox);
USEFORM("TBasicGalaxyModule.cpp", BasicGalaxyModule); /* TDataModule: File Type */
USEFORM("TGalaxyModule.cpp", GalaxyModule); /* TDataModule: File Type */
USEFORM("TTemplateModule.cpp", TemplateModule); /* TDataModule: File Type */
USEFORM("TDeleteProjectDialog.cpp", DeleteProjectDialog);
USEFORM("TDBGridView.cpp", DBGridView);
USEFORM("TDATGridView.cpp", DATGridView);
USEUNIT("EFSComponents\EFSFaction.cpp");
USEFORM("TEditUnitStatsDialog.cpp", EditUnitStatsDialog);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
  try
  {
    Application->Initialize();
    Application->Title = "EFS Editor";
    Application->HelpFile = "EFS EDITOR.HLP";
    Application->CreateForm(__classid(TEFSMain), &EFSMain);
    Application->CreateForm(__classid(TNewProjectDialog), &NewProjectDialog);
    Application->CreateForm(__classid(TOpenProjectDialog), &OpenProjectDialog);
    Application->CreateForm(__classid(TEditUnitTypeDialog), &EditUnitTypeDialog);
    Application->CreateForm(__classid(TEFSAboutBox), &EFSAboutBox);
    Application->CreateForm(__classid(TGalaxyModule), &GalaxyModule);
    Application->CreateForm(__classid(TTemplateModule), &TemplateModule);
    Application->CreateForm(__classid(TDeleteProjectDialog), &DeleteProjectDialog);
    Application->CreateForm(__classid(TEditUnitStatsDialog), &EditUnitStatsDialog);
    Application->Run();
  }
  catch (Exception &exception)
  {
    Application->ShowException(&exception);
  }
  return 0;
}
//---------------------------------------------------------------------------
