//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "TEFSCPlanet.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)

TEFSCPlanet::TEFSCPlanet(int index) {
  Index = index;
  x = -1;
  y = -1;
  CurRotPos = 0;
  for (int i=0; i<8; i++) UnitPos[i] = 0;
  Name[0] = '\0';
  Owner = 0;
  Sect = 0;
  Flags = 0;
  InitializeMap();

}
//---------------------------------------------------------------------------

TEFSCPlanet::~TEFSCPlanet() {

}
//---------------------------------------------------------------------------

void TEFSCPlanet::InitializeMap() {

  // Delete Structures
  for (int i=0; i<PLANET_MAP_WIDTH; i++) {
    for (int j=0; j<PLANET_MAP_HEIGHT; j++)
    {
      ProdMap[i][j] = NULL;
    }
  }

  // Delete Units

  
  TileSetType = 0;
  memset(HexBuffer, NULL, sizeof(int)*PLANET_MAP_WIDTH*PLANET_MAP_HEIGHT);
  for (int i=0; i<PLANET_MAP_WIDTH; i++)
    HexTiles[i] = HexBuffer + i * PLANET_MAP_HEIGHT;
}
//---------------------------------------------------------------------------

void TEFSCPlanet::SetName(String name)
{
  strcpy(Name, name.c_str());
}

String TEFSCPlanet::GetName()
{
  return String(Name);
}
