//---------------------------------------------------------------------------
#ifndef TEFSCPlanetH
#define TEFSCPlanetH

const int PLANET_MAP_WIDTH = 44;
const int PLANET_MAP_HEIGHT = 65;

class TEFSCPlanet
{
private:

protected:

public:
  int Index;  // Index number of this planet in the TEFSCGalaxy Planets array
  short x;    // Star map coordinates of this planet
  short y;
  short CurRotPos;
  UINT UnitPos[8];  // Positions of units in space around the planet(?)
  char Name[32];
  short Owner;
  short Sect;
  UINT Flags;

  int TileSetType;

  int* HexTiles[PLANET_MAP_WIDTH];
  int HexBuffer[PLANET_MAP_WIDTH * PLANET_MAP_HEIGHT];
  char ProdMap[PLANET_MAP_WIDTH][PLANET_MAP_HEIGHT];

  TEFSCPlanet(int index);
  ~TEFSCPlanet();

  void InitializeMap();
  void SetName(String name);
  String GetName();

};

//---------------------------------------------------------------------------
#endif
