object UnitListView: TUnitListView
  Left = 237
  Top = 181
  Width = 640
  Height = 480
  Caption = 'Units Database'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  FormStyle = fsMDIChild
  OldCreateOrder = False
  Position = poDefault
  Visible = True
  OnClose = FormClose
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 13
  object ControlPanel: TPanel
    Left = 0
    Top = 392
    Width = 632
    Height = 61
    Align = alBottom
    BevelOuter = bvLowered
    TabOrder = 0
    object cbFaction: TDBLookupComboBox
      Left = 8
      Top = 32
      Width = 145
      Height = 21
      KeyField = 'ID'
      ListField = 'Name'
      ListSource = GalaxyModule.dsFactions
      TabOrder = 0
      OnCloseUp = cbShowUnitsOfFactionClick
    end
    object cbShowUnitsOfFaction: TCheckBox
      Left = 8
      Top = 8
      Width = 145
      Height = 17
      Caption = 'Show Units of this Faction:'
      TabOrder = 1
      OnClick = cbShowUnitsOfFactionClick
    end
    object cbPlanet: TDBLookupComboBox
      Left = 176
      Top = 32
      Width = 145
      Height = 21
      KeyField = 'PIdx'
      ListField = 'Name'
      ListSource = GalaxyModule.dsPlanets
      TabOrder = 2
      OnCloseUp = cbShowUnitsOfFactionClick
    end
    object cbShowUnitsOnPlanet: TCheckBox
      Left = 176
      Top = 8
      Width = 145
      Height = 17
      Caption = 'Show Units at this Planet:'
      TabOrder = 3
      OnClick = cbShowUnitsOfFactionClick
    end
    object cbType: TDBLookupComboBox
      Left = 344
      Top = 32
      Width = 145
      Height = 21
      KeyField = 'ID'
      ListField = 'Lname'
      ListSource = GalaxyModule.dsUnitDAT
      TabOrder = 4
      OnCloseUp = cbShowUnitsOfFactionClick
    end
    object cbShowUnitsOfType: TCheckBox
      Left = 344
      Top = 8
      Width = 145
      Height = 17
      Caption = 'Show Units Of this Type:'
      TabOrder = 5
      OnClick = cbShowUnitsOfFactionClick
    end
  end
  object UnitGrid: TDBGrid
    Left = 0
    Top = 0
    Width = 632
    Height = 392
    Align = alClient
    DataSource = GalaxyModule.dsUnits
    FixedColor = clAqua
    Options = [dgEditing, dgTitles, dgIndicator, dgColumnResize, dgTabs, dgConfirmDelete, dgCancelOnExit]
    PopupMenu = EditUnitsMenu
    TabOrder = 1
    TitleFont.Charset = DEFAULT_CHARSET
    TitleFont.Color = clWindowText
    TitleFont.Height = -11
    TitleFont.Name = 'MS Sans Serif'
    TitleFont.Style = []
    Columns = <
      item
        Expanded = False
        FieldName = 'UnitID'
        ReadOnly = True
        Title.Alignment = taRightJustify
        Title.Caption = 'Unit ID'
        Visible = False
      end
      item
        Expanded = False
        FieldName = 'LocText'
        Title.Caption = 'Location'
        Width = 124
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'NameText'
        ReadOnly = True
        Title.Caption = 'Type'
        Width = 240
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'MoveText'
        ReadOnly = True
        Title.Caption = 'Movement'
        Width = 112
        Visible = True
      end
      item
        Alignment = taCenter
        Expanded = False
        FieldName = 'MoveCost'
        Title.Alignment = taCenter
        Title.Caption = 'MC'
        Width = 24
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'SectLU'
        Title.Caption = 'Sect'
        Visible = True
      end
      item
        Alignment = taCenter
        Expanded = False
        FieldName = 'Loyalty'
        Title.Alignment = taCenter
        Title.Caption = 'Loy'
        Width = 32
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'Health'
        Title.Alignment = taRightJustify
        Title.Caption = 'Hlth'
        Width = 32
        Visible = True
      end
      item
        Alignment = taCenter
        Expanded = False
        FieldName = 'CamoText'
        ReadOnly = True
        Title.Alignment = taCenter
        Title.Caption = 'Camo'
        Width = 32
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'ShortOwnerLU'
        Title.Caption = 'Owner'
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'ShortPrevOwnerLU'
        Title.Caption = 'Prev Owner'
        Visible = True
      end
      item
        Alignment = taLeftJustify
        Expanded = False
        FieldName = 'Orders'
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'UnitNo'
        ReadOnly = True
        Title.Alignment = taRightJustify
        Title.Caption = 'Unit No'
        Width = 48
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'Flags'
        ReadOnly = True
        Title.Alignment = taCenter
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'UULU'
        ReadOnly = True
        Title.Caption = 'Used Unit'
        Width = 148
        Visible = True
      end
      item
        Alignment = taCenter
        Expanded = False
        FieldName = 'DestX'
        Title.Alignment = taCenter
        Width = 32
        Visible = True
      end
      item
        Alignment = taCenter
        Expanded = False
        FieldName = 'DestY'
        Title.Alignment = taCenter
        Width = 32
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'TFlags'
        ReadOnly = True
        Title.Alignment = taCenter
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'AIOrders'
        Title.Alignment = taCenter
        Width = 48
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'AIData'
        Title.Alignment = taCenter
        Width = 48
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'AIData2'
        Title.Alignment = taCenter
        Width = 48
        Visible = True
      end
      item
        Expanded = False
        FieldName = 'WaitLevel'
        ReadOnly = True
        Title.Alignment = taCenter
        Title.Caption = 'WaitLvl'
        Width = 48
        Visible = True
      end
      item
        Alignment = taCenter
        Expanded = False
        FieldName = 'GroupEndMark'
        ReadOnly = True
        Title.Alignment = taCenter
        Title.Caption = 'GEM'
        Width = 24
        Visible = True
      end>
  end
  object EditUnitsMenu: TPopupMenu
    Left = 600
    Top = 252
    object OpenUnit1: TMenuItem
      Action = OpenUnitAction
    end
    object GotoUnit1: TMenuItem
      Action = FindUnitAction
    end
    object SwapUnitTypes1: TMenuItem
      Action = SwapUnitTypesAction
    end
    object EditUnitStatistics1: TMenuItem
      Action = EditUnitStatsAction
    end
  end
  object EditUnitsActions: TActionList
    Left = 568
    Top = 252
    object OpenUnitAction: TAction
      Caption = '&Open Unit'
      Hint = 'Edit Unit|Open Edit Unit Dialog'
    end
    object SwapUnitTypesAction: TAction
      Caption = '&Swap Unit Types'
      Hint = 'Swap Unit Types|Exchange all Units of one Type for another'
      OnExecute = SwapUnitTypesActionExecute
    end
    object FindUnitAction: TAction
      Caption = '&Find Unit'
      Hint = 'Find Unit|Find Unit on Map'
    end
    object EditUnitStatsAction: TAction
      Caption = '&Edit Unit Statistics'
      Hint = 'Edit Unit Statistics|Change Statistics (e.g., Loy, Health, etc.)'
      OnExecute = EditUnitStatsActionExecute
    end
  end
end
